//此乃本模块与后台交互的方法接口部分
var jwAppLdapModel = function(format) {
	this.module = "";
	this.action = "";
	this.format = format;
};

//定义数据交互
jwAppLdapModel.prototype = BusinessObject;

//插入人员数据
jwAppLdapModel.prototype.insertUser = function(){};
//修改人员数据
jwAppLdapModel.prototype.updateUser = function(){};
//删除人员数据
jwAppLdapModel.prototype.deleteUser = function(){};
//人员调出单位
jwAppLdapModel.prototype.MoveOutUser = function(){};
//人员调入单位
jwAppLdapModel.prototype.MoveInUser = function(){};
//密码修改
jwAppLdapModel.prototype.modifyPass = function(){};
//重置人员密码
jwAppLdapModel.prototype.resetUserPass = function(){};
//人员详情查看日志保存
jwAppLdapModel.prototype.viewUserLog = function(){};
//人员批量转移
jwAppLdapModel.prototype.BatchMoveInUser = function(){};


//人员数据_分页
jwAppLdapModel.prototype.list = function(){};
//人员数据_分页
jwAppLdapModel.prototype.listInfo = function(){};
//人员所有数据
jwAppLdapModel.prototype.listAll = function(){};
//人员数据_分页
jwAppLdapModel.prototype.listMy = function(){};
//获取最大排序
jwAppLdapModel.prototype.listMaxOrder = function(){};
//初始化排序号
jwAppLdapModel.prototype.updateUserInitOrder = function(){};
//更换单位排序号
jwAppLdapModel.prototype.updateUserSetOrder = function(){};
//人员查询
jwAppLdapModel.prototype.listUser = function(){};
//创建一个数据操作对象，然后再后续使用
jwAppLdapModel.jwAppsLdapActAction = new jwAppLdapModel("json").delegate("jwAppsLdapAct");
//创建一个数据获取对象，然后再后续使用
jwAppLdapModel.jwAppsLdapDataAction = new jwAppLdapModel("json").delegate("jwAppsLdapData");

//说明： 1、所有方法里统一传递josn格式的参数，用于后台交互，如data.listTables(param) ，如没有参数则传'{}'，如data.listTables({})
//      2、前后台数据获取传输协议  如：json[{'0':{pageCount':'2','pageNo':'1','pageSize':'20','rowSet':'[{0},{1}....]'}}] 
//      3、前后台增删改的返回状态  如：json[{'0':{'rowSet':{'NAME':'-1','VALUE':'保存失败'}}}]
